#include "Field.h"
#include "MASS.h"
using namespace MMASS;

Field::~Field() { }

double Field::getValue() {
	return value;
}

double Field::valuePerceivedForAgent(spAgent agent) {
	unsigned long coefficient = agent->getCoefficient(this->getIdentifier());
	const double threshold = agent->getThreshold(this->getIdentifier());
	double newValue = this->value * coefficient;

	if (this->compare(newValue, threshold)) return newValue;
	return 0;
}

Field::Field(double value_) : value(value_) { }