#ifndef STATE_H
#define STATE_H
#include "MMASSDefs.h"

namespace MMASS {
	template<class T>
	class StateFactory {
		static spState createState() { return spState(new T()); }
	};

	class State {
		// Deve ser criado uma subclasse deste!
	public:
		State();
		virtual ~State() = 0;

	private:
		State(const State&);
		State& operator=(const State&);
	};
}

#endif