#ifndef THREADARGUMENT_H
#define THREADARGUMENT_H

#ifdef MMASSDLL_EXPORTS
#define MMASSDLL_API __declspec(dllexport)
#else
#define MMASSDLL_API __declspec(dllimport)
#endif

#include <OgreNoMemoryMacros.h>
#include <pthread.h>
#include "MMASSDefs.h"

namespace MMASS {
	class MMASSDLL_API ThreadArgument {
	protected:
		spAgent_set agents;

	public:
		ThreadArgument(spAgent_set agents_) {
			agents = agents_;
		}

		spAgent_set& getAgents();
	};
}

#endif