#include "TestAgent.h"
#include "TestSite.h"
#include "TestContext.h"
#include "TestSpace.h"
#include "TestMASS.h"
#include "TestMMASS.h"
#include "TestFunctions.h"
#include "../TestSuite/Suite.h"
using namespace TestSuite;

int main() {
	cout << std::endl;

	Suite suite("MMASS Tests");
	// suite.addTest(new TestAgent);
	// suite.addTest(new TestSite);
	// suite.addTest(new TestSpace);
	// suite.addTest(new TestMASS);
	suite.addTest(new TestMMASS);
	suite.addTest(new TestMASS);
	suite.addTest(new TestSpace);
	suite.addTest(new TestSite);
	suite.addTest(new TestSpaceAgain);
	suite.addTest(new TestMASSAgain);
	suite.addTest(new TestAgent);
	suite.addTest(new TestMASSFinish);
	suite.addTest(new TestMMASSAgain);
	suite.addTest(new TestContext);
	suite.addTest(new TestMMASSThreads);
	suite.addTest(new TestFunctions);
	suite.run();
	long nFail = suite.report();
	suite.free();

	return nFail;
}
